{ pkgs, variables, ... }:

{
  # Select internationalisation properties.

  console = {
    keyMap = "us";
    font   = "Lat2-Terminus16";
  };

  i18n.defaultLocale = "en_US.UTF-8";

  nix = {
    autoOptimiseStore = true;

    nixPath           = [
      "nixpkgs=/nix/var/nix/profiles/per-user/root/channels/nixos"
      "nixos-config=/etc/nixos/hosts/${variables.hostname}/default.nix"
      "/nix/var/nix/profiles/per-user/root/channels"
    ];

    gc = {
      automatic  = true;
      dates      = "weekly";
      persistent = true;
    };
  };

  nixpkgs = {
    config = {
      allowUnfree = true;
    };
  };

  environment.systemPackages = with pkgs; [
    file
    pciutils
    bind
    wget
    git
    curl
    htop
    glances
    tcpdump
    restic
    binutils
    neovim
    home-manager
  ];
}
