{config, pkgs, ...}:

{
  imports = [ <home-manager/nixos> ];

  users.users = {
    giulio = {
      description  = "Giulio De Pasquale";
      isNormalUser = true;
      shell        = pkgs.zsh;
      extraGroups  = [ "wheel" "docker" "networkmanager" ];
    };

    root = {
      shell = pkgs.zsh;
    };
  };

  programs.zsh = {
    enableBashCompletion = true;
    enableCompletion     = true;
  };

  home-manager.users.root = {
    imports = [ ./home/zsh.nix ./home/code.nix ];
  };

  home-manager.users.giulio = {
    imports = [ ./home ];
  };

  fileSystems."/home/giulio/Downloads" = {
    device = "tmpfs";
    fsType = "tmpfs";
    options = ["size=3G"];
  };
}
